/*
This demo was created by Super Saiyan X
It demonstrates how to create, and use a movement pad
similar to those used before BYOND's interface editing ability
This is not a library, it is not plug and play.
there is stuff you must look through and decide, "hmm, do i want that?"
this is just to show you how to do it!
if you are using my systems; credit is not needed,
however it is appreciated and would make me smile.

if you have any questions or bug reports, please post them on the hub's discussion area
or, send an email to takuy_x@hotmail.com
- SSX */


mob
	verb
		ShowPad()                                               //this is the verb created for hiding and showing the pad
			set hidden = 1                                      //hidding the verb
			set name = ".ShowPad"                               //if your verb name is proceeded with a period; it will not be auto-completed when typed.
			                                                    //you must use this name when calling the verb in a button or menu option
			var
				PinLeft = winget(src,"MovePin","left")          //assigning PinLeft as value of the MovePin Control's left parameter
				Checked = winget(src, "MovePad","is-checked")   //assigning Checked as value of the MovePad Control's is-checked parameter
			if(Checked=="true")                                 //checking if Checked is "true"
				winset(src,"MovePinB","is-disabled=false")      //if checked is true, make sure both (next line)
				winset(src,"MoveWinB","is-disabled=false")      //of these are clickable.
				if(PinLeft=="MovePane") ShowPin()               //if PinLeft is the movement pane show the pinned pane via the ShowPin procedure.
																//(you can only have the pane used once at a time, so you gotta switch em!)
				else ShowWin()                                  //if PinLeft is NOT the movement pane, show the window via the ShowWin procedure
			if(Checked=="false") ShowNull()                     //if checked ISN'T true, hide both via the ShowNull Procedure
		Location(k as text)                                     //this is called by the menu options (Pinned and Window) to change places of the the pane)
			set hidden = 1
			set name = ".Location"
			var/Checked = winget(src, "MovePad","is-checked")
			if(Checked=="true") switch(k)                       //making sure the pad is enabled, and checking which button was clicked
				if("Pinned") ShowPin()                          //if Pinned was clicked, show the pane via ShowPin()
				else if("Window") ShowWin()                     //if Window was clicked, show the window via ShowWin()
	proc
		ShowWin()                                               //this procedure shows the Window, and hides the movement pinned pane
			winset(src,"Move","left=MovePane")
			winset(src,"MoveWin","is-visible=true")
			winset(src,"MovePin","is-visible=false")
			winset(src,"MovePin","left=")
		ShowPin()                                               //this procedure shows the pinned movement pane, and hides the window
			winset(src,"MovePin","left=MovePane")
			winset(src,"MovePin","is-visible=true")
			winset(src,"MoveWin","is-visible=false")
			winset(src,"Move","left=")
		ShowNull()                                              //hides pane/window, disables pinned and window options.
			winset(src,"MoveWin","is-visible=false")            //hides both the window and pane, so no more movement pad!
			winset(src,"MovePin","is-visible=false")
			winset(src,"MovePinB","is-disabled=true")           //this and the next line disable the clicking...
			winset(src,"MoveWinB","is-disabled=true")           //of the Pinned and Window options in the Movement Menu